com.verisign.epp.util

## Class EPPEnvSingle

- java.lang.Object
- - com.verisign.epp.util.Environment
  - - com.verisign.epp.util.EPPEnv
    - - com.verisign.epp.util.EPPEnvSingle

-     public class EPPEnvSingle
      extends EPPEnv

  Singleton class for `EPPEnv` that is used to get the configuration settings for the EPP SDK.

- - ### Field Summary

    - ### Fields inherited from class com.verisign.epp.util.EPPEnv

      `LOG_BASIC, LOG_CFG_FILE, LOG_CUSTOM, POOLMAN_CLIENT_PREFIX, POOLMAN_SERVER_PREFIX, POOLMAN_XMLSIGNATURE_PREFIX`

    - ### Fields inherited from class com.verisign.epp.util.Environment

      `properties`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EPPEnvSingle` | `getInstance()` Method to get the Singleton instance of `EPPEnvSingle`.

    - ### Methods inherited from class com.verisign.epp.util.EPPEnv

      `getClientHost, getClientParserDebug, getClientParserInitObjs, getClientParserLogFile, getClientParserMaxSize, getClientParserMaxSoft, getClientParserMinSize, getClientParserObjTimeout, getClientParserShrinkBy, getClientParserSkimmerFreq, getClientParserUserTimeout, getClientSocketName, getCmdResponseExtensions, getConTimeOut, getFullSchemaChecking, getGreetingServerName, getKeyStore, getLogCfgFile, getLogCfgFileWatch, getLogFile, getLoginAdapter, getLogLevel, getLogMode, getMapFactories, getPollHandlers, getPollMessageFilter, getProtocolExtensions, getProxyServerLocator, getProxyServers, getProxyServersRandomize, getRegistryPolicyAdapters, getSDKVersion, getSendReceiveLogger, getServerEPPAssembler, getServerEventHandlers, getServerName, getServerParserDebug, getServerParserInitObjs, getServerParserLogFile, getServerParserMaxSize, getServerParserMaxSoft, getServerParserMinSize, getServerParserObjTimeout, getServerParserShrinkBy, getServerParserSkimmerFreq, getServerParserUserTimeout, getServerPort, getServerSocketName, getSSLDebug, getSSLEnabledCipherSuites, getSSLEnabledProtocols, getSSLKeyFileName, getSSLKeyManager, getSSLKeyPassPhrase, getSSLPassPhrase, getSSLProtocol, getSSLTrustStoreFileName, getSSLTrustStorePassPhrase, getValidating, getXMLSignatureParserDebug, getXMLSignatureParserInitObjs, getXMLSignatureParserLogFile, getXMLSignatureParserMaxSize, getXMLSignatureParserMaxSoft, getXMLSignatureParserMinSize, getXMLSignatureParserObjTimeout, getXMLSignatureParserShrinkBy, getXMLSignatureParserSkimmerFreq, getXMLSignatureParserUserTimeout, initialize, initialize, isContactRelaxedValidation, isUseEntityResolver, isUseUserAgent`

    - ### Methods inherited from class com.verisign.epp.util.Environment

      `envInitialize, envInitialize, getEnv, getOption, getProperty, getProperty, setProperties, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static EPPEnvSingle getInstance()

      Method to get the Singleton instance of `EPPEnvSingle`.
      Returns:
        an instance of `EPPEnvSingle`.

Copyright © VeriSign Inc. All Rights Reserved.